Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.impl
Class DynamicContainmentTreeDomainModelReferenceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecp.view.dynamictree.model.impl.DynamicContainmentTreeDomainModelReferenceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, DynamicContainmentTreeDomainModelReference, ModelChangeListener, VDomainModelReference

    public class DynamicContainmentTreeDomainModelReferenceImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements DynamicContainmentTreeDomainModelReference

An implementation of the model object 'Dynamic Containment Tree Domain Model Reference'.

The following features are implemented:

- `Change Listener`
- `Path From Root`
- `Path From Base`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPathFromBase(VDomainModelReference newPathFromBase, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPathFromRoot(VDomainModelReference newPathFromRoot, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<DomainModelReferenceChangeListener>` | `getChangeListener()`
`Iterator<org.eclipse.emf.ecore.EStructuralFeature>` | `getEStructuralFeatureIterator()` Returns an iterator allowing to iterate overall `EStructuralFeatures` of this domain model reference.
`Iterator<SettingPath>` | `getFullPathIterator()` Returns an iterator allowing to iterate over all setting paths for this domain model reference.
`Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>` | `getIterator()` Returns an iterator allowing to iterate over found settings for this domain model reference.
`VDomainModelReference` | `getPathFromBase()`
`VDomainModelReference` | `getPathFromRoot()`
`boolean` | `init(org.eclipse.emf.ecore.EObject eObject)` Resolve attempts to resolve the domain model reference.
`void` | `notifyChange(ModelChangeNotification notification)` Notify about a change.
`void` | `setPathFromBase(VDomainModelReference newPathFromBase)`
`void` | `setPathFromRoot(VDomainModelReference newPathFromRoot)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getChangeListener

    public org.eclipse.emf.common.util.EList<DomainModelReferenceChangeListener> getChangeListener()

  Specified by:
    `getChangeListener` in interface `VDomainModelReference`
  Returns:
    the value of the 'Change Listener' attribute list.
  See Also:
    `VViewPackage.getDomainModelReference_ChangeListener()`

### getPathFromRoot

    public VDomainModelReference getPathFromRoot()

  Specified by:
    `getPathFromRoot` in interface `DynamicContainmentTreeDomainModelReference`
  Returns:
    the value of the 'Path From Root' containment reference.
  See Also:
    `DynamicContainmentTreeDomainModelReference.setPathFromRoot(VDomainModelReference)`, `ModelPackage.getDynamicContainmentTreeDomainModelReference_PathFromRoot()`

### basicSetPathFromRoot

    public org.eclipse.emf.common.notify.NotificationChain basicSetPathFromRoot(VDomainModelReference newPathFromRoot,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setPathFromRoot

    public void setPathFromRoot(VDomainModelReference newPathFromRoot)

  Specified by:
    `setPathFromRoot` in interface `DynamicContainmentTreeDomainModelReference`
  Parameters:
    `newPathFromRoot` - the new value of the 'Path From Root' containment reference.
  See Also:
    `DynamicContainmentTreeDomainModelReference.getPathFromRoot()`

### getPathFromBase

    public VDomainModelReference getPathFromBase()

  Specified by:
    `getPathFromBase` in interface `DynamicContainmentTreeDomainModelReference`
  Returns:
    the value of the 'Path From Base' containment reference.
  See Also:
    `DynamicContainmentTreeDomainModelReference.setPathFromBase(VDomainModelReference)`, `ModelPackage.getDynamicContainmentTreeDomainModelReference_PathFromBase()`

### basicSetPathFromBase

    public org.eclipse.emf.common.notify.NotificationChain basicSetPathFromBase(VDomainModelReference newPathFromBase,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setPathFromBase

    public void setPathFromBase(VDomainModelReference newPathFromBase)

  Specified by:
    `setPathFromBase` in interface `DynamicContainmentTreeDomainModelReference`
  Parameters:
    `newPathFromBase` - the new value of the 'Path From Base' containment reference.
  See Also:
    `DynamicContainmentTreeDomainModelReference.getPathFromBase()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### init

    public boolean init(org.eclipse.emf.ecore.EObject eObject)

  Resolve attempts to resolve the domain model reference. If it fails existing results will be kept. Thus even after a failed resolution the iterator might not be empty.

  Specified by:
    `init` in interface `VDomainModelReference`
  Returns:
    true if resolution succeeded and false otherwise
  See Also:
    `VDomainModelReference.init(EObject)`

### getIterator

    public Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting> getIterator()

  Returns an iterator allowing to iterate over found settings for this domain model reference. Will return an empty Iterator if resolve was not successfully completed.

  Specified by:
    `getIterator` in interface `VDomainModelReference`
  Returns:
    the `Iterator` for this domain model reference
  See Also:
    `VDomainModelReference.getIterator()`

### getEStructuralFeatureIterator

    public Iterator<org.eclipse.emf.ecore.EStructuralFeature> getEStructuralFeatureIterator()

  Returns an iterator allowing to iterate overall `EStructuralFeatures` of this domain model reference.

  Specified by:
    `getEStructuralFeatureIterator` in interface `VDomainModelReference`
  Returns:
    the `Iterator` over all `EStructuralFeatures` for this domain model reference
  See Also:
    `VDomainModelReference.getEStructuralFeatureIterator()`

### getFullPathIterator

    public Iterator<SettingPath> getFullPathIterator()

  Returns an iterator allowing to iterate over all setting paths for this domain model reference. Will return an empty Iterator if resolve was not successfully completed.

  Specified by:
    `getFullPathIterator` in interface `VDomainModelReference`
  Returns:
    the `Iterator` over setting paths for this domain model reference
  See Also:
    `VDomainModelReference.getFullPathIterator()`

### notifyChange

    public void notifyChange(ModelChangeNotification notification)

  Notify about a change.

  Specified by:
    `notifyChange` in interface `ModelChangeListener`
  Parameters:
    `notification` - the `ModelChangeNotification`
  See Also:
    `ModelChangeListener.notifyChange(org.eclipse.emf.ecp.view.spi.model.ModelChangeNotification)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.